/*!
  Theme: GitHub
  Description: Light theme as seen on github.com
  Author: github.com
  Maintainer: @Hirse
  Updated: 2021-05-15

  Outdated base version: https://github.com/primer/github-syntax-light
  Current colors taken from GitHub's CSS
*/

.hljs {
  color: #ffffff;
  background: #141414;
  overflow-x: auto;
}

.hljs-doctag,
.hljs-keyword,
.hljs-meta .hljs-keyword,
.hljs-template-tag,
.hljs-template-variable,
.hljs-variable.language_ {
  /* prettylights-syntax-keyword */
  color: #FFD14A;
}

.hljs-title,
.hljs-title.function_ {
  /* prettylights-syntax-entity */
  color: #00AEFF;
}

.hljs-title.class_,
.hljs-title.class_.inherited__,
.hljs-type {
  color: #88DDFF;
}

.hljs-attr,
.hljs-attribute,
.hljs-variable,
.hljs-selector-attr,
.hljs-selector-class,
.hljs-selector-id {
  color: #ffffff;
}

.hljs-literal,
.hljs-number,
.hljs-meta,
.hljs-symbol {
  /* prettylights-syntax-constant */
  color: #AA88FF;
}

.hljs-operator {
  color: #FF66BB;
}

.hljs-regexp,
.hljs-string,
.hljs-meta .hljs-string {
  /* prettylights-syntax-string */
  color: #91DD64;
}

.hljs-built_in {
  /* prettylights-syntax-variable */
  color: #FFD14A;
}

.hljs-comment,
.hljs-code,
.hljs-formula {
  /* prettylights-syntax-comment */
  color: #888888;
  font-style: italic;
}

.hljs-name,
.hljs-quote,
.hljs-selector-tag,
.hljs-selector-pseudo {
  /* prettylights-syntax-entity-tag */
  color: #00AEFF;
}

.hljs-subst {
  /* prettylights-syntax-storage-modifier-import */
  color: #ffffff;
}

.hljs-section {
  /* prettylights-syntax-markup-heading */
  color: #00AEFF;
  font-weight: bold;
}

.hljs-bullet {
  /* prettylights-syntax-markup-list */
  color: #00AEFF;
}

.hljs-emphasis {
  /* prettylights-syntax-markup-italic */
  color: #ffffff;
  font-style: italic;
}

.hljs-strong {
  /* prettylights-syntax-markup-bold */
  color: #ffffff;
  font-weight: bold;
}

.hljs-addition {
  /* prettylights-syntax-markup-inserted */
  color: #91DD64;
  background-color: #91DD641f;
}

.hljs-deletion {
  /* prettylights-syntax-markup-deleted */
  color: #E27E8D;
  background-color: #E27E8D1f;
}

.hljs-char.escape_,
.hljs-link,
.hljs-params,
.hljs-property,
.hljs-punctuation,
.hljs-tag {
  /* purposely ignored */
}

/*!
  Theme: GitHub Dark
  Description: Dark theme as seen on github.com
  Author: github.com
  Maintainer: @Hirse
  Updated: 2021-05-15

  Outdated base version: https://github.com/primer/github-syntax-dark
  Current colors taken from GitHub's CSS
*/

.dark .hljs {
  color: #ffffff;
  background: #141414;
}

.dark .hljs-doctag,
.dark .hljs-keyword,
.dark .hljs-meta .hljs-keyword,
.dark .hljs-template-tag,
.dark .hljs-template-variable,
.dark .hljs-variable.language_ {
  /* prettylights-syntax-keyword */
  color: #FFD14A;
}

.dark .hljs-title,
.dark .hljs-title.function_ {
  /* prettylights-syntax-entity */
  color: #00AEFF;
}

.dark .hljs-title.class_,
.dark .hljs-title.class_.inherited__,
.dark .hljs-type {
  color: #88DDFF;
}

.dark .hljs-attr,
.dark .hljs-attribute,
.dark .hljs-variable,
.dark .hljs-selector-attr,
.dark .hljs-selector-class,
.dark .hljs-selector-id {
  color: #ffffff;
}

.dark .hljs-literal,
.dark .hljs-number,
.dark .hljs-meta,
.dark .hljs-symbol {
  /* prettylights-syntax-constant */
  color: #AA88FF;
}

.dark .hljs-operator {
  color: #FF66BB;
}

.dark .hljs-regexp,
.dark .hljs-string,
.dark .hljs-meta .hljs-string {
  /* prettylights-syntax-string */
  color: #91DD64;
}

.dark .hljs-built_in {
  /* prettylights-syntax-variable */
  color: #FFD14A;
}

.dark .hljs-comment,
.dark .hljs-code,
.dark .hljs-formula {
  /* prettylights-syntax-comment */
  color: #888888;
  font-style: italic;
}

.dark .hljs-name,
.dark .hljs-quote,
.dark .hljs-selector-tag,
.dark .hljs-selector-pseudo {
  /* prettylights-syntax-entity-tag */
  color: #00AEFF;
}

.dark .hljs-subst {
  /* prettylights-syntax-storage-modifier-import */
  color: #ffffff;
}

.dark .hljs-section {
  /* prettylights-syntax-markup-heading */
  color: #00AEFF;
  font-weight: bold;
}

.dark .hljs-bullet {
  /* prettylights-syntax-markup-list */
  color: #00AEFF;
}

.dark .hljs-emphasis {
  /* prettylights-syntax-markup-italic */
  color: #ffffff;
  font-style: italic;
}

.dark .hljs-strong {
  /* prettylights-syntax-markup-bold */
  color: #ffffff;
  font-weight: bold;
}

.dark .hljs-addition {
  /* prettylights-syntax-markup-inserted */
  color: #91DD64;
  background-color: #91DD641f;
}

.dark .hljs-deletion {
  /* prettylights-syntax-markup-deleted */
  color: #E27E8D;
  background-color: #E27E8D1f;
}

.dark .hljs-char.escape_,
.dark .hljs-link,
.dark .hljs-params,
.dark .hljs-property,
.dark .hljs-punctuation,
.dark .hljs-tag {
  /* purposely ignored */
}
